
/**
 *   override bootstrap classes
 */

:focus {
    outline: none !important;
}

a,
a:hover,
a:link {
    color: #000;
}

.panel {
    border-radius: 0px;
    margin-bottom: 0px;
}

.panel-default {
    border-color: #d3d6d7;
}

.panel-default>.panel-heading {
    background-color: #ececec;
    border-color: #d3d6d7;
    color: #000;
}

select {
    -webkit-appearance: none;
    -moz-appearance: none;
    background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAA4AAAAMCAYAAABSgIzaAAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAyJpVFh0WE1MOmNvbS5hZG9iZS54bXAAAAAAADw/eHBhY2tldCBiZWdpbj0i77u/IiBpZD0iVzVNME1wQ2VoaUh6cmVTek5UY3prYzlkIj8+IDx4OnhtcG1ldGEgeG1sbnM6eD0iYWRvYmU6bnM6bWV0YS8iIHg6eG1wdGs9IkFkb2JlIFhNUCBDb3JlIDUuMC1jMDYwIDYxLjEzNDc3NywgMjAxMC8wMi8xMi0xNzozMjowMCAgICAgICAgIj4gPHJkZjpSREYgeG1sbnM6cmRmPSJodHRwOi8vd3d3LnczLm9yZy8xOTk5LzAyLzIyLXJkZi1zeW50YXgtbnMjIj4gPHJkZjpEZXNjcmlwdGlvbiByZGY6YWJvdXQ9IiIgeG1sbnM6eG1wPSJodHRwOi8vbnMuYWRvYmUuY29tL3hhcC8xLjAvIiB4bWxuczp4bXBNTT0iaHR0cDovL25zLmFkb2JlLmNvbS94YXAvMS4wL21tLyIgeG1sbnM6c3RSZWY9Imh0dHA6Ly9ucy5hZG9iZS5jb20veGFwLzEuMC9zVHlwZS9SZXNvdXJjZVJlZiMiIHhtcDpDcmVhdG9yVG9vbD0iQWRvYmUgUGhvdG9zaG9wIENTNSBNYWNpbnRvc2giIHhtcE1NOkluc3RhbmNlSUQ9InhtcC5paWQ6NDZFNDEwNjlGNzFEMTFFMkJEQ0VDRTM1N0RCMzMyMkIiIHhtcE1NOkRvY3VtZW50SUQ9InhtcC5kaWQ6NDZFNDEwNkFGNzFEMTFFMkJEQ0VDRTM1N0RCMzMyMkIiPiA8eG1wTU06RGVyaXZlZEZyb20gc3RSZWY6aW5zdGFuY2VJRD0ieG1wLmlpZDo0NkU0MTA2N0Y3MUQxMUUyQkRDRUNFMzU3REIzMzIyQiIgc3RSZWY6ZG9jdW1lbnRJRD0ieG1wLmRpZDo0NkU0MTA2OEY3MUQxMUUyQkRDRUNFMzU3REIzMzIyQiIvPiA8L3JkZjpEZXNjcmlwdGlvbj4gPC9yZGY6UkRGPiA8L3g6eG1wbWV0YT4gPD94cGFja2V0IGVuZD0iciI/PuGsgwQAAAA5SURBVHjaYvz//z8DOYCJgUxAf42MQIzTk0D/M+KzkRGPoQSdykiKJrBGpOhgJFYTWNEIiEeAAAMAzNENEOH+do8AAAAASUVORK5CYII=) !important;
    background-position: right 50%;
    background-repeat: no-repeat;
    cursor: pointer;
}

.btn,
.form-control {
    border-radius: 0px;
}

.btn-primary {
    background-color: #666B6E;
    border: none;
}

a.btn-primary {
    color: #fff;
}

.btn-primary:hover,
.btn-primary:active {
    background-color: #EF7C00 !important;
}

label {
    font-weight: normal;
    color: #000;
    cursor: pointer;
}

.input-group-addon.lnr.lnr-undo {
    border-radius: 0px;
    cursor: pointer;
}

.table {
	margin-bottom: 8px;
}

h4 {
	margin-top: 24px;
	margin-bottom: 10px;
}

.pagination {
	margin: 0;
	border-radius: 0;
}
.pagination > li:first-child > a,
.pagination > li:first-child > span {
    margin-left: 0;
    border-top-left-radius: 0px;
    border-bottom-left-radius: 0px;
}
.pagination > li:last-child > a,
.pagination > li:last-child > span {
    border-top-right-radius: 0px;
    border-bottom-right-radius: 0px;
}
.pagination > li > a,
.pagination > li > span {
    color: #000;
    border: 1px solid #ececec;
}
.pagination > .active > a,
.pagination > .active > a:focus,
.pagination > .active > a:hover,
.pagination > .active > span,
.pagination > .active > span:focus,
.pagination > .active > span:hover {
    background-color: #ef7c00;
    border-color: #ef7c00;
}

/**
 * jquery ui override
 */

.ui-widget {
    font-family: OpenSans;
}

.ui-dialog-titlebar-close {
  display: none;
}

.ui-accordion .ui-accordion-header {
    margin: 5px 0 0 0;
    border-radius: 0px;
    background-color: #ECECEC;
    outline: none;
}

.ui-accordion .ui-accordion-header:hover {
    background-color: #EF7C00;
    border: 1px solid #EF7C00;
    color: #fff;
}

.ui-accordion .ui-accordion-header.ui-state-active {
    background-color: #EF7C00;
    border: 1px solid #EF7C00;
    outline: none;
}

.ui-accordion-content-active {
    border-radius: 0px;
}

.ui-accordion-content > table {
	width: 100%;
}
.ui-accordion-content > table > tbody > tr > td:first-of-type {
    width: 50%;
    text-align: right;
    padding-right: 10px;

}
.ui-accordion-content > table > tbody > tr > td:last-of-type {
    text-align: left;
}

.ui-widget-overlay {
    background: #000;
    opacity: .5;
    filter: Alpha(Opacity=50);
}

.ui-dialog {
    border-radius: 0;
    padding: 0;
}

.ui-dialog .ui-dialog-titlebar {
    border-radius: 0;
    background-color: #EF7C00;
    color: #fff;
}

.ui-widget-header {
    border: none;
}

.ui-widget.ui-widget-content {
    border: none;
}

.ui-dialog .ui-dialog-buttonpane button {
    background-color: #666B6E;
    border: none;
    border-radius: 0;
    color: #fff;
}

.ui-dialog .ui-dialog-buttonpane button:focus {
    outline: none;
}

.ui-dialog .ui-dialog-buttonpane button:hover {
    background-color: #EF7C00;
}

th.header {
    cursor: pointer;
}

.ui-state-active,
.ui-widget-content .ui-state-active,
.ui-widget-header .ui-state-active,
a.ui-button:active,
.ui-button:active,
.ui-button.ui-state-active:hover {
    border: 1px solid #d26d00;
    background: #EF7C00;
}

.ui-corner-all,
.ui-corner-top,
.ui-corner-right,
.ui-corner-tr {
    border-top-right-radius: 0px;
}

.ui-corner-all,
.ui-corner-top,
.ui-corner-left,
.ui-corner-tl {
    border-top-left-radius: 0px;
}

/**
 * application styling
 */

@font-face {
    font-family: 'OpenSans';
    src: url('../fonts/OpenSans-Regular.ttf') format('truetype');
}

@font-face {
    font-family: 'OpenSans Bold';
    src: url('../fonts/OpenSans-Bold.ttf') format('truetype');
}

html {
    height: 100%;
}

body {
    margin: 0;
    min-height: 100vh;
    height: 100%;
    cursor: default;
    background-color: #fff;
    font-family: OpenSans;
    display: flex;
    flex-direction: column;
}

header {
    min-height: 120px;
    padding-top: 20px;
    background-color: #ECECEC;
}

footer {
    min-height: 120px;
    padding-top: 10px;
    background-color: #666B6E;
}

footer ul li {
    margin-right: 5%;
}

h3 {
    color: #666B6E;
    font-family: OpenSans Bold;
}

h4 {
    color: #666B6E;
    font-family: OpenSans Bold;
    font-size: 18px;
}

h6 {
	color: #666B6E;
	font-family: OpenSans Bold;
	font-size: 16px;
}

#userbar {
    min-height: 44px;
    padding-top: 12px;
    background-color: #666B6E !important;
    color: #fff;
}

#userbar a {
    color: #fff;
}
#userbar .dropdown-menu a {
    color: #000;
}
#userbar .userbar-link-inactive {
    pointer-events: none;
    color: #888 !important;
}

.tiles {
    padding-top: 20px;
}

.tile {
    width: 9em;
    height: 8em;
    margin-right: 15px;
    margin-left: 15px;
    margin-bottom: 30px;
    float: left;
}

.tile > a {
    color: #fff;
    display: block;
    height: 100%;
    width: 100%;
}

.tile-icon {
    padding: 12px;
    text-align: center;
    background-color: #ECECEC;
    height: 6em;
    width: 100%;
}

.tile-icon > img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.tile-label {
    min-height: 48px;
    padding: 7px;
    font-size: 12px;
    text-align: center;
    background-color: #666B6E;
    color: #fff;
}

.active {
    cursor: pointer;
}

.inactive {
    filter: grayscale(1);
    cursor: default;
}

.lnr-power-switch,
.lnr-cog,
.lnr-menu {
    color: #fff;
    font-size: 18px;
}

.lnr-bubble {
    color: #000;
    font-size: 18px;
}

.lnr-bubble.done {
    color: green;
}

.lnr-cog:hover,
.lnr-power-switch:hover,
.lnr-menu:hover {
    color: #EF7C00;
}

.forum-thread-box .lnr {
    margin: 0px 3px;
}

.forum-thread-box-actions > .lnr-users,
.lnr-warning,
.lnr-download,
.lnr-pencil,
.lnr-plus-circle,
.lnr-trash,
.lnr-sync,
.lnr-link,
.lnr-calendar-full,
.lnr-lock,
.lnr-chevron-up,
.lnr-chevron-down {
    color: #EF7C00;
}

.lnr-checkmark-circle {
    color: green;
}

.lnr-circle-minus,
.lnr-cross-circle {
    color: #f00;
}

.lnr-pointer {
	cursor: pointer;
}

.forum-thread-box-title-link > .lnr {
    font-size: 12px;
}

.keyword-text-marker {
    background-color: yellow;
}

td > .lnr {
	margin-left: 4px;
	margin-right: 4px;
	font-size: 16px;
}


#content {
    flex: 1 1 auto;
    margin-top: 40px;
    margin-bottom: 40px;
}

.content-logo-row {
    margin-top: 40px;
    margin-bottom: 30px;
}

.menubar a,
.menubar span {
	text-decoration: none;
	display: block;

    padding-top: 5px;
    padding-bottom: 5px;
    padding-left: 10px;

	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
}

.menubar-link-inactive,
.menubar-link-inactive:hover {
    color: #888;
}

.menubar .menubar-link-active:hover {
	background-color: #666B6E;
	color: #fff;
}

.menu-item-active {
    color: #EF7C00;
    text-decoration: underline !important;
}

.breadcrumb > li {
    max-width: 160px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.footer-menu a {
    color: #fff;
}

.settings, .menu_responsive {
    background-color: #ececec;
    border-radius: 0px;
}

.settings>li,
.menu_responsive>li {
    margin: 0px;
}

.settings>li>a
.menu_responsive>li>a {
    color: #000;
}

.settings>li>a:hover,
.menu_responsive>li>a:hover {
    background-color: #EF7C00;
}

.table thead th {
    padding: 12px 20px !important;
    background-color: #666B6E;
    border-right: 5px solid #fff;
    color: #fff;
    border-bottom: none !important;
}

.table tbody tr {
    background-color: #ECECEC;
}

.table tbody tr td {
    padding: 8px 20px;
    border-top: none;
    border-right: 5px solid #fff;
}

.form-error {
    color: #f00;
}

#roles-accordion {
    padding-right: 15px;
    padding-left: 15px;
}

input[type=checkbox],
input[type=radio] {
    cursor: pointer;
}

.role_active_portal:after {
    content: " [aktiv]";
}

table tbody tr.link_row {
    cursor: pointer;
}
table tbody tr.link_row:hover td:not(:last-child) {
    text-decoration: underline;
}
table tbody tr.link_row > td > * {
    text-decoration: none;
    display: inline-block;
}

table tbody tr.link_row:hover {
    background-color: #E0E0E0;
}

.selectable-field {
    cursor: pointer;
}

.selectable-field:hover {
    text-decoration: underline;
}

.action-col-row {
	white-space: nowrap;
}

.education-type-inputs-disabled {
    pointer-events: none;
    background-color: transparent;
    border: none;
}

table > tbody > tr > td > input {
    width: 100%;
}

@media screen and (min-width: 701px) {

	.action-col-row {
		width: 5px;
    }

    .education-module-prefix-col-row {
        width: 120px;
    }

    .learning-journal-user-column {
        width: 160px;
    }

    .interest-group-created-column {
        width: 180px;
    }
}

@media screen and (max-width: 700px) {

    .responsive-table thead {
        display: none;
    }

    .table tbody tr td a {
        color: #EF7C00;
    }

    .responsive-table tbody td {
        display: block;
    }
    .responsive-table tbody tr {
        border-bottom: 6px solid #fff;
    }

    .responsive-table tbody tr td:first-child {
        background: #666B6E;
        color: #fff;
    }

    .responsive-table tbody td:before {
        content: attr(data-th);
        display: inline-block;
        min-width: 10rem;
        text-align: right;
        padding-right: 0.5em;
    }
}

.table-no-entry-line {
	display: none;
}

.table-no-entry-line:only-child {
	display: table-row;
}

textarea {
	width: 100%;
	min-height: 160px;
}

#learning-instruction-box {
	padding: 8px;
	border: 1px solid #ccc;
	min-height: 100px;
}

#forum-message-form .form-group,
#learning-instruction-form .form-group {
	margin-left: 0;
}

.forum-message-list-container {
	display: flex;
	flex-direction: column;
}

.forum-message-box {
	display: flex;
	flex-direction: column;
	margin-bottom: 12px;
	border: 1px solid #666B6E;
}

.forum-message-box-header {
	background-color: #666B6E;
	padding: 12px 20px;
	color: #fff;
	display: flex;
	justify-content: space-between;
}
.forum-message-box-header .lnr {
	font-size: 18px;
	margin-left: 6px;
	margin-right: 6px;
}
.forum-message-box-header > div {
	display: flex;
	justify-content: center;
}

.forum-message-box-text {
	padding: 12px 20px;
}

.button-bar {
	display: flex;
	margin-bottom: 10px;
	flex-wrap: wrap;
}

.button-bar-left {
	flex-grow: 10;
}
.button-bar-left > * {
	margin-right: 6px;
}

#forum-new-message-indicator {
	color: #f00;
	display: none;
}
#forum-new-message-indicator:first-child {
	margin-right: 6px;
	font-size: 18px;
}

.userselection {
	display:none;
}
.userselection-filterbar {
	border-bottom: 1px solid lightgrey;
	padding-bottom: 4px;
	display: flex;
	justify-content: flex-end;
}
.userselection-filterbar > *:first-child {
	margin-right: 4px;
}
.userselection input[type=search] {
	border: 1px solid lightgrey;
}
.userselection-filterlist {
	height: 400px;
	overflow-y: scroll;
}

.userselection table thead th {
    padding: 6px 0px !important;
    background-color: #666B6E;
    color: #fff;
    border-bottom: none !important;
}
.userselection table {
    width: 100%;
}

.forum-thread-box-title {
	font-size: 18px;
}
.forum-thread-box-title:hover {
	cursor: pointer;
	text-decoration: underline;
}
.forum-thread-box-subtext {
	font-size: 12px;
}

.forum-thread-box {
	border-bottom: 1px solid grey;
	margin-bottom: 16px;
	margin-top: 16px;
}
.forum-thread-box .lnr {
    font-size: 18px;
}

.login-form {
    color: #555;
    margin-top: 70px;
}
.login-form .control-label {
    text-align: left;
}

.login-form-link {
    font-weight: bold;
    color: #555 !important;
    display: block;
    margin-top: 8px;
}

.login-form input,
.login-form input:focus,
.login-form input:focus:active {
    background-color: #fff !important;
    border-left: none;
    border-right: none;
    border-top: none;
    box-shadow: none;
}

.login-form button[type=submit] {
    width: 100%;
    background-color: #fff;
    border: 1px solid #666B6E;
    color: #555 !important;
}

.d-flex {
    display: flex;
}

.align-baseline {
    align-items: baseline;
}

.align-center {
    align-items: center;
}

.review-headline {
    color: #666B6E;
    font-family: OpenSans Bold;
    font-size: 16px;
    margin-top: 10px;
    margin-bottom: 10px;
}

.rating-wrapper {
   width: 100px; 
}

.rating-max-score {
    padding-left: 10px;
}

.p-lft-5 {
    padding-left: 5px;
}

.p-lft-10 {
    padding-left: 10px;
}

.p-lft-15 {
    padding-left: 15px;
}

.m-lft-5 {
    margin-left: 5px;
}

.p-top-10 {
    padding-top: 10px;
}

.m-top-10 {
    margin-top: 10px;
}

.d-block {
    display: block;
}

.add-wiki-entry-container {
    width: 90%;
    margin: auto;
}

.add-wiki-entry-btn {
    float: right;
}

.float-right {
    float: right;
}

.clearfix {
    clear: both;
}

.wikilist ol {
    counter-reset: item
}

.wikilist li {
    display: block
}

.wikilist li:before {
    content: counters(item, ".") " ";
    counter-increment: item;
}

.gu-mirror {
    position: fixed !important;
    margin: 0 !important;
    z-index: 9999 !important;
    opacity: 0.8;
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=80)";
    filter: alpha(opacity=80);
    pointer-events: none;
}
/* high-performance display:none; helper */
.gu-hide {
    left: -9999px !important;
}
/* added to mirrorContainer (default = body) while dragging */
.gu-unselectable {
    -webkit-user-select: none !important;
    -moz-user-select: none !important;
    -ms-user-select: none !important;
    user-select: none !important;
}
/* added to the source element while its mirror is dragged */
.gu-transit {
    opacity: 0.2;
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=20)";
    filter: alpha(opacity=20);
    pointer-events: none;
}

.sortable-list-editable {
    min-height: 15px;
}

.portal_content img {
    max-width: 90%;
    height: auto;
}

.required-field {
    background-color: #FFCCCC;
}

.preview-error-color {
    background-color: #FFCCCC;
    padding: 0px 15px;
    margin-right: 4px;
}

.scrollable-x-container {
    overflow: hidden;
    overflow-x: scroll;
}

.ui-dialog {
    box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.53);
    -webkit-box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.53);
    -moz-box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.53);
}

.search-user-container {
    margin: 0 5px; 
    float: right;
}

.search-user-input {
    height: 32px;
}

.search-group-btn {
    margin-left: 5px;
}

.notification-badge {
    margin-left: 2px;
    background: #dc3545;
    border-radius: 50%;
    color: white;
    padding: 0px 5px;
}

.update-password {
    display: inline; 
    width: calc(100% - 44px);
}

.nm-top-xs {
    margin-top: -2px;
}